Package org.eclipse.net4j.util.ui.widgets

## Class CoolBarComposite.CoolBarLayout

- java.lang.Object
- - org.eclipse.swt.widgets.Layout
  - - org.eclipse.net4j.util.ui.widgets.CoolBarComposite.CoolBarLayout

- Enclosing class:
    CoolBarComposite

      public class CoolBarComposite.CoolBarLayout
      extends Layout

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CoolBarLayout()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Point` | `computeSize​(Composite composite, int wHint, int hHint, boolean flushCache)` |
    `protected boolean` | `coolBarChildrenExist()` |
    `protected void` | `layout​(Composite composite, boolean flushCache)` |

    - ### Methods inherited from class org.eclipse.swt.widgets.Layout

      `flushCache`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CoolBarLayout

          public CoolBarLayout()

  - ### Method Detail

    - #### computeSize

          protected Point computeSize​(Composite composite,
                                      int wHint,
                                      int hHint,
                                      boolean flushCache)

      Specified by:
        `computeSize` in class `Layout`

    - #### layout

          protected void layout​(Composite composite,
                                boolean flushCache)

      Specified by:
        `layout` in class `Layout`

    - #### coolBarChildrenExist

          protected boolean coolBarChildrenExist()